<?php
	require("../__common__/__define_common.php");
	require("../__common__/include-common-all.php");
	require("../__common__/include-common-html.php");
	require("../account/__logincheck.php");

	html_header("MyHome Tools", '', '#ffffff');
	page_header(False);
	tools_list();
	page_footer();
	html_footer();
	exit();
?>
<?php
function tools_list() {
?>
<script language="JavaScript">
<!--
function monotone_window(form) {
	url = form.url.value;
	saveCookie("tools_monotone_url", url);
	w01 = window.open("monotone.php?url=" + url, "", "");
}
function zoom_window(form) {
	url = form.url.value;
	for (i=0; i<form.zoom_sel.options.length; i++) {
		if (form.zoom_sel.options[i].selected == true) {
			zoom = form.zoom_sel.options[i].value;
		}
	}
	saveCookie("tools_zoom_url", url);
	w01 = window.open("zoom.php?url=" + url + "&zoom=" + zoom, "", "");
}
function tategaki_window(form) {
	url = form.url.value;
	for (i=0; i<form.font_size_sel.options.length; i++) {
		if (form.font_size_sel.options[i].selected == true) {
			fs = form.font_size_sel.options[i].value;
		}
	}
	for (i=0; i<form.height_sel.options.length; i++) {
		if (form.height_sel.options[i].selected == true) {
			hh = form.height_sel.options[i].value;
		}
	}
	saveCookie("tools_tategaki_url", url);
	w01 = window.open("tategaki.php?url=" + url + "&fs=" + fs + "&h=" + hh, "", "");
}
-->
</script>
<div class="tools_list">
<p>ツール</p>
<ul>
<li><a href="../kakeibo/" target="_blank">(簡易) 預貯金管理</a></li>
<li><a href="google-maps-earth.php" target="_blank">Google Maps & Earth</a>&nbsp;&nbsp;&nbsp;&nbsp;
(←<a href="http://code.google.com/intl/ja/apis/earth/" target="_blank">Google Earth プラグイン</a>をインストールする必要があります。)</li>
<li><a href="html-text-mail.php" target="_blank">HTML テキスト抽出&メール送信</a></li>
<?php	if ($_SESSION['システム管理者'] == "YES") { ?>
<li><a href="html-get-url-img.php" target="_blank">HTML URL抽出&ファイルダウンロード</a> (システム管理者用)</li>
<?php	} ?>
<li><a href="excel-graph-bluff.php" target="_blank">Excel to グラフ by Bluff</a></li>
<li><a href="excel-graph-html5.php" target="_blank">Excel to グラフ by HTML5</a></li>
<li><a href="google-ajax-lang.php" target="_blank">翻訳 by Google AJAX Language API</a></li>
<li><a href="monotone-page.php" target="_blank">ホームページのモノトーン表示</a> (IEのみ)<br>
	<form method="POST" name="monotone_form">
	URL：<input class="text" type="text" name="url" value="<?= $_COOKIE['tools_monotone_url'] ?>" size="50">
	<input type="button" value="モノトーン表示" onClick="monotone_window(this.form)">
	</form>
</li>
<li><a href="zoom-page.php" target="_blank">ホームページの拡大縮小表示</a> (IEのみ)<br>
	<form method="POST" name="zoom_form">
	URL：<input class="text" type="text" name="url" value="<?= $_COOKIE['tools_zoom_url'] ?>" size="50">
	<select name="zoom_sel">
	<option value="70%">70%</option>
	<option value="80%">80%</option>
	<option value="90%">90%</option>
	<option value="100%" selected>100%</option>
	<option value="110%">110%</option>
	<option value="120%">120%</option>
	<option value="130%">130%</option>
	<option value="140%">140%</option>
	<option value="150%">150%</option>
	</select>
	<input type="button" value="拡大縮小表示" onClick="zoom_window(this.form)">
	</form>
</li>
<?php	if ($_SESSION['システム管理者'] == "YES") { ?>
<li>テキスト縦書き表示 (IEのみ) (システム管理者用)<br>
	<form method="POST" name="tategaki_form">
<?php
	if ($_COOKIE['tools_tategaki_url'] <> '') {
		$url = str_replace("//", "/", str_replace("\\", "/", right_slash_strip($_COOKIE['tools_tategaki_url'])));
	} else {
		$url = "tategaki-sample/kenjano_okurimono.txt";
	}
?>
	URL/ファイルパス：<input class="text" type="text" name="url" value="<?= $url ?>" size="40">
	文字サイズ：<select name="font_size_sel">
	<option value="12pt" selected>12pt</option>
	<option value="14pt">14pt</option>
	<option value="16pt">16pt</option>
	<option value="18pt">18pt</option>
	<option value="20pt">20pt</option>
	</select>
	高さ：<select name="height_sel">
	<option value="200">200</option>
	<option value="300">300</option>
	<option value="400" selected>400</option>
	<option value="500">500</option>
	<option value="600">600</option>
	</select>
	<input type="button" value="縦書き表示" onClick="tategaki_window(this.form)">
	</form>
</li>
<li><span style="background-color: #FFE4E1; padding: 3px 0 3px 0;"><a href="code-file-view.php" target="_blank">PHP/JavaScript ソースコード表示&編集＋ファイルマネージャー</a></span> (システム管理者用)</li>
<li><span style="background-color: #FFE4E1; padding: 3px 0 3px 0;"><a href="../db_tool/mysql-database.php" target="_blank">MySQL管理ツール</a></span> (システム管理者用)</li>
<li><span style="background-color: #FFE4E1; padding: 3px 0 3px 0;"><a href="../db_tool/backup-mydb.php" target="_blank">実運用環境バックアップ</a></span> (システム管理者用)</li>
<li><span style="background-color: #FFE4E1; padding: 3px 0 3px 0;"><a href="file-manager.php" target="_blank">（簡易）ファイルマネージャー（暗号化/復号化付き）</a></span> (システム管理者用)</li>
<?php	} ?>
<li><a href="table-layout.php" target="_blank">HTML テーブル CSSスタイル シミュレーション</a></li>
<li><a href="../__common__/color-chart.php" target="_blank">HTML カラーチャート</a></li>
</ul>
</div>
<?php
}
?>
